Skip to main content
POST
/
v3
/
connections
/
{provider}
/
import
Sync connection
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({containerTags: ['user_123', 'project_123']})
};

fetch('https://api.supermemory.ai/v3/connections/{provider}/import', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.supermemory.ai/v3/connections/{provider}/import"

payload = { "containerTags": ["user_123", "project_123"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
curl --request POST \
  --url https://api.supermemory.ai/v3/connections/{provider}/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "containerTags": [
    "user_123",
    "project_123"
  ]
}
'
"<string>"
{
  "error": "Invalid request parameters",
  "details": "Query must be at least 1 character long"
}
{
  "error": "Invalid request parameters",
  "details": "Query must be at least 1 character long"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
notion,
google-drive,
onedrive,
gmail,
github,
web-crawler,
s3,
granola

Body

application/json
containerTags
string[]

Optional comma-separated list of container tags to filter connections by

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:
["user_123", "project_123"]

Response

Importing connections...

The response is of type string.